## org.apache.maven.shared.io.download
Class DownloadFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.maven.shared.io.download.DownloadFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class DownloadFailedException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`DownloadFailedException(java.lang.String url, java.lang.String message)`
`DownloadFailedException(java.lang.String url, java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.lang.String` `getUrl()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DownloadFailedException

    public DownloadFailedException(java.lang.String url,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

### DownloadFailedException

    public DownloadFailedException(java.lang.String url,
                                   java.lang.String message)

Method Detail

### getUrl

    public java.lang.String getUrl()

Copyright © 2011. All Rights Reserved.